package com.securitycontrol.screen.mapper;


import com.securitycontrol.entity.screen.dto.AccessMgeDto;
import com.securitycontrol.entity.screen.vo.AccessMgeVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 出入管理
 * @author lsun
 */
@Repository("AccessMgeMapper")
public interface AccessMgeMapper {
    /**
     * 今日、当月车辆出入场统计
     * @param dto
     * @return
     */
    List<AccessMgeVo> getVehicleStatistics(AccessMgeDto dto);

    /**
     * 今日、当月车辆出入场统计图片
     * @param dto
     * @return
     */
    List<AccessMgeVo> getVehicleStatisticsPhoto(AccessMgeDto dto);

    /**
     * 今日、当月车辆出入场统计列表
     * @param dto
     * @return
     */
    List<AccessMgeVo> getVehicleStatisticsList(AccessMgeDto dto);

    /**
     * 今日、当月人员出入场统计
     * @param dto
     * @return
     */
    List<AccessMgeVo> getPerStatistics(AccessMgeDto dto);

    /**
     * 今日、当月人员出入场统计图片
     * @param dto
     * @return
     */
    List<AccessMgeVo> getPerStatisticsPhoto(AccessMgeDto dto);

    /**
     * 今日、当月人员出入场统计列表
     * @param dto
     * @return
     */
    List<AccessMgeVo> getPerStatisticsList(AccessMgeDto dto);
}
